Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.text.rules
Interface ITokenScanner

All Known Subinterfaces:
  IPartitionTokenScanner

All Known Implementing Classes:
  RuleBasedPartitionScanner, RuleBasedScanner

public interface ITokenScanner

A token scanner scans a range of a document and reports about the token it finds. A scanner has state. When asked, the scanner returns the offset and the length of the last found token.

Since:
  2.0
See Also:
  `IToken`

Method Summary
`int` | `getTokenLength()` Returns the length of the last token read by this scanner.
`int` | `getTokenOffset()` Returns the offset of the last token read by this scanner.
`IToken` | `nextToken()` Returns the next token in the document.
`void` | `setRange(IDocument document, int offset, int length)` Configures the scanner by providing access to the document range that should be scanned.

Method Detail

### setRange

    public void setRange(IDocument document,
                         int offset,
                         int length)

  Configures the scanner by providing access to the document range that should be scanned.

  Parameters:
    `document` - the document to scan
    `offset` - the offset of the document range to scan
    `length` - the length of the document range to scan

### nextToken

    public IToken nextToken()

  Returns the next token in the document.

  Returns:
    the next token in the document

### getTokenOffset

    public int getTokenOffset()

  Returns the offset of the last token read by this scanner.

  Returns:
    the offset of the last token read by this scanner

### getTokenLength

    public int getTokenLength()

  Returns the length of the last token read by this scanner.

  Returns:
    the length of the last token read by this scanner

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.